### Method

# EDataServerUI CredentialsPrompter get_auto_prompt_disabled_for

since: 3.16

#### Declaration [src]

    gboolean
    e_credentials_prompter_get_auto_prompt_disabled_for (
      ECredentialsPrompter* prompter,
      ESource* source
    )

#### Description [src]

Returns whether the auto-prompt is disabled for the given `source`. All sources can be auto-prompted by default. This is a complementary value for the ECredentialsPrompter::auto-prompt property.

This value does not influence direct calls of e_credentials_prompter_prompt().

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the auto-prompt is disabled for the given `source`.